Subject: bug#39415: [core-updates] Removing SSL patches in CMake and Kodi - help wanted

From: Jakub Kądziołka <[email-masked]>
Date: Tue, 4 Feb 2020 14:13:26 +0100

In commit a76a343082d61d5303b61a9e4cbde4ab8515a1e7 (currently on
CORE-UPDATES), the patch curl-use-ssl-cert-env.patch was added. This
makes programs linking to curl work with Guix's SSL certificates.
Previously, separate workarounds for each dependent package were
required.

This means that the following patches are, as far as I know, obsolete:
- cmake-curl-certificates.patch
- kodi-set-libcurl-ssl-parameters.patch

However, I don't use neither cmake nor kodi, and as such I don't think I
can sufficiently test that these patches are no longer needed. I would
like to ask somebody more familiar with those packages to verify.

Regards,
Jakub Kądziołka